---
search:
  tags:
    - Product Bundle Groups
    - POST
seo:
  description: >-
    Creates a new product bundle group with optional start… Reference for the
    POST /api/v1/{team_slug}/{app_slug}/bundle-groups endpoint in the Management
    API.
sidebar:
  label: Create Bundle Group
  badge: POST
title: Create Bundle Group
type: openapi-operation
---
Creates a new product bundle group with optional start and end dates. Bundle groups are containers for bundles that share common configuration and availability settings.

`POST /api/v1/{team_slug}/{app_slug}/bundle-groups`

**Request body** (`application/json`, required)

Product bundle group data

- `description` (string)
- `end_date` (string) — Format: RFC3339 Example: "2023-12-31T00:00:00Z"
- `name` (string, required) — Name of the bundle
- `start_date` (string) — Format: RFC3339 Example: "2023-12-31T00:00:00Z"

Request body example:

```json
{
  "description": "string",
  "end_date": "string",
  "name": "string",
  "start_date": "string"
}
```

**Responses**

- `200` — Product created or updated successfully
- `400` — Invalid request (e.g. bad UUID, validation error)
- `401` — Unauthorized access
- `500` — Internal server error

Response example, 200:

```json
{
  "data": {
    "bundles": [
      {
        "attributes": [
          {
            "created_at": "string",
            "description": "string",
            "filterable": true,
            "id": "string",
            "key": "string",
            "name": "string",
            "template_key": "string",
            "template_name": "string",
            "translatable": true,
            "translations": {
              "description": [
                {
                  "id": "string",
                  "locale": "string",
                  "value": "string"
                }
              ],
              "name": [
                {
                  "id": "string",
                  "locale": "string",
                  "value": "string"
                }
              ]
            },
            "updated_at": "string",
            "values": {
              "property1": {
                "field_id": "string",
                "id": "string",
                "image_id": "string",
                "image_object": {
                  "alt": "string",
                  "app_id": "string",
                  "blurhash": "string",
                  "copyright": "string",
                  "custom": {
                    "property1": "string",
                    "property2": "string"
                  },
                  "folder_id": "string",
                  "id": "string",
                  "parent_id": "string",
                  "public": true,
                  "status": "string",
                  "title": "string",
                  "url": "string"
                },
                "translations": {
                  "value": [
                    {
                      "id": "string",
                      "locale": "string",
                      "value": "string"
                    }
                  ]
                },
                "type": "string",
                "value": "string"
              },
              "property2": {
                "field_id": "string",
                "id": "string",
                "image_id": "string",
                "image_object": {
                  "alt": "string",
                  "app_id": "string",
                  "blurhash": "string",
                  "copyright": "string",
                  "custom": {
                    "property1": "string",
                    "property2": "string"
                  },
                  "folder_id": "string",
                  "id": "string",
                  "parent_id": "string",
                  "public": true,
                  "status": "string",
                  "title": "string",
                  "url": "string"
                },
                "translations": {
                  "value": [
                    {
                      "id": "string",
                      "locale": "string",
                      "value": "string"
                    }
                  ]
                },
                "type": "string",
                "value": "string"
              }
            }
          }
        ],
        "compliant": {
          "info": [
            "string"
          ],
          "level": "none"
        },
        "created_at": "string",
        "discount_percentage": 0,
        "discount_type": "string",
        "discounts": {
          "property1": 0,
          "property2": 0
        },
        "id": "string",
        "rules": [
          {
            "bundle_id": "string",
            "discount_percentage": 0,
            "discount_type": "string",
            "discounts": {
              "property1": 0,
              "property2": 0
            },
            "exclude_discounted_price": true,
            "exclude_full_price": true,
            "id": "string",
            "items": [
              {
                "description": "string",
                "id": "string",
                "image_urls": [
                  "string"
                ],
                "product_name": "string",
                "product_number": "string",
                "slug": "string"
              }
            ],
            "quantity": 0,
            "tag_conditions": {
              "brands": {
                "mode": "include",
                "values": [
                  {
                    "id": "string",
                    "name": "string"
                  }
                ]
              },
              "categories": {
                "mode": "include",
                "values": [
                  {
                    "id": "string",
                    "name": "string"
                  }
                ]
              },
              "collections": {
                "mode": "include",
                "values": [
                  {
                    "id": "string",
                    "name": "string"
                  }
                ]
              },
              "series": {
                "mode": "include",
                "values": [
                  {
                    "id": "string",
                    "name": "string"
                  }
                ]
              },
              "tags": {
                "mode": "include",
                "values": [
                  {
                    "id": "string",
                    "name": "string"
                  }
                ]
              }
            }
          }
        ],
        "status": "string",
        "updated_at": "string"
      }
    ],
    "compliance": {
      "info": [
        "string"
      ],
      "level": "none"
    },
    "created_at": "string",
    "description": "string",
    "end_date": "string",
    "id": "string",
    "markets": [
      {
        "active": true,
        "country_codes": [
          "string"
        ],
        "created_at": "string",
        "currency_code": "string",
        "id": "string",
        "locale": "string",
        "name": "string",
        "slug": "string",
        "store_group_id": "string",
        "store_group_slug": "string",
        "updated_at": "string"
      }
    ],
    "name": "string",
    "start_date": "string",
    "translations": {
      "description": [
        {
          "id": "string",
          "locale": "string",
          "value": "string"
        }
      ],
      "name": [
        {
          "id": "string",
          "locale": "string",
          "value": "string"
        }
      ]
    },
    "updated_at": "string"
  },
  "details": [
    "string"
  ],
  "success": true
}
```
